Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

experience_id
string
required

The unique identifier of the experience to list forum posts for.

Example:

"exp_xxxxxxxxxxxxxx"

include_bounty_anchors
boolean | null

Whether to include top-level bounty discussion anchors as rich forum items.

parent_id
string | null

The unique identifier of a parent post to list comments for. When set, returns replies to that post.

pinned
boolean | null

Whether to filter for only pinned posts. Set to true to return only pinned posts.

Response

A successful response

The connection type for ForumPost.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.